<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKUsr2EditView_layoutBase from './ibizbookusr2-edit-view-layout-base.vue';

import view_form from '@widgets/ibizbook/main-layout-form/main-layout-form.vue';
// 基于 @VIEW/@MACRO/VIEW.vue.ftl 生成
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKUsr2EditView_layout extends IBIZBOOKUsr2EditView_layoutBase {

}
</script>